|  | Home

# QtCharEditorFactory Class Reference

The QtCharEditorFactory class provides editor widgets for properties created by QtCharPropertyManager objects. More...

     #include <QtCharEditorFactory>

Inherits QtAbstractEditorFactory<QtCharPropertyManager>.

- List of all members, including inherited members

### Public Functions

- QtCharEditorFactory ( QObject * parent = 0 )
- ~QtCharEditorFactory ()

- 5 public functions inherited from QtAbstractEditorFactory
- 1 public function inherited from QtAbstractEditorFactoryBase
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 3 protected functions inherited from QtAbstractEditorFactory
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtCharEditorFactory class provides editor widgets for properties created by QtCharPropertyManager objects.

See also QtAbstractEditorFactory.

## Member Function Documentation

### QtCharEditorFactory::QtCharEditorFactory ( QObject * parent = 0 )

Creates a factory with the given parent.

### QtCharEditorFactory::~QtCharEditorFactory ()

Destroys this factory, and all the widgets it has created.